Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/apikeys \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "apiKey": "<string>" } '
{ "success": true, "id": 123, "apiKey": "<string>", "error": "<string>" }
Add an API key.
Organization ID
Description of the key
admin
member
Optional: API key. This needs to start with ei_ and will need to be at least 32 characters long. If this field is not passed in, a new API key is generated for you.
ei_
OK
Whether the operation succeeded
ID of the new API key
New API Key (starts with "ei_...") - this'll be shared only once.
Optional error description (set if 'success' was false)